> This page is for Schema Service, version v3 (latest) (default).
> For other versions, use one of these documentation indexes:
> - v3 (latest) (default): https://autodesk.ferndocs.com/schema/schema-service/v3/llms.txt
> - v2: https://autodesk.ferndocs.com/schema/schema-service/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://autodesk.ferndocs.com/schema/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://autodesk.ferndocs.com/schema/_mcp/server.

# Modify a Tag

PUT https://developer-stg.api.autodesk.com/schema/v3/tag-collections/{tagCollectionId}/tags/{tagId}
Content-Type: application/json

Updates the details of the Tag specified by the `tagId` URI parameter, from the Tag Collection specified by the `tagCollectionId` URI parameter.

You must have `write` access to the Tag Collection to modify Tags of that Tag Collection. For more information  see `Control Access </en/docs/schema/v3/developers_guide/basics/access/>`\_.

Reference: https://autodesk.ferndocs.com/schema/schema-service/api-reference/tags-api/tags/update-tag

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://developer-stg.api.autodesk.com/schema/v3` (The URL for Staging environment, default)
- `https://developer-dev.api.autodesk.com/schema/v3` (The URL for Development environment)
- `https://developer.api.autodesk.com/schema/v3` (The URL for Production environment)

## Request

### Path parameters

- `tagCollectionId` (string, required)
- `tagId` (string, required)

### Headers

- `Region` (enum, optional, default: US) — The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values: - ``US`` - (Default) All requests without a specified region header will be directed to the US region. - ``EMEA`` - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header "region: EMEA" in your API requests.
  - Allowed values: `US`, `EMEA`

### Body (application/json)

This endpoint expects a TagRequest.

- `name` (string, required) — The name of the Tag.
- `categoryId` (string, optional) — The ID of the Tag Category this Tag must belong to. If you do not specify a category, the Tag will belong to the default category. The default category was created when the Tag Collection was created.
- `userData` (map from string to TagRequestUserData, optional) — A JSON object of user-defined schema containing custom data for the Tag. The only validation the system performs on this object is to make sure that it is a valid JSON object.

## Response

### 200

The Tag was modified successfully.

- `id` (string, optional) — A system-generated ID to uniquely identify the Tag.
- `categoryId` (string, optional) — The ID of the Category this Tag belongs to.
- `name` (string, optional) — The name of the Tag.
- `userData` (map from string to TagUserData, optional) — A container for user-defined custom data.
- `createdBy` (string, optional) — If a three-legged access token was used to create the Tag, contains the Autodesk ID (Oxygen ID) of the person who created it. If a two-legged access token was used to create the Tag, contains the Client ID of the app that created it.
- `createTime` (datetime, optional) — A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was created.
- `lastModifiedBy` (string, optional) — If a three-legged access token was used to modify the Tag, contains the Autodesk ID (Oxygen ID) of the person who modified it. If a two-legged access token was used to modify the Tag, contains the Client ID of the app that modified it.
- `lastModifiedTime` (datetime, optional) — A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was last modified.

## Errors

### 400 Bad Request Error

The Autodesk Schema Registry was not able to decipher your request. Check the request body for malformed request syntax or invalid request message framing before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 401 Unauthorized Error

The request did not have a valid access token. Obtain a fresh access token and try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 403 Forbidden Error

You do not have permission to perform the operation specified by the request. Contact your LIBRARY_ADMIN and resolve any permission issues before trying this request again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 404 Not Found Error

The requested resource was not found. Verify that the details of the resource you requested are correct before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 429 Too Many Requests Error

You have exceeded the Rate Limit for the requested resource. Check the ``retry-after`` response header and send the request again, after the specified time period has elapsed.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

## Types

### TagRequestUserData

Key-value pairs of custom data.

### TagUserData

Key-value pairs of custom data.

### ErrorDetail

Error response model according to the APS standard

- `type` (string, optional) — Specifies the type of the error that occured.
- `title` (string, optional) — Contains a summary of the error.
- `detail` (string, optional) — Contains a detailed description of the error that occured, and sometimes, tips on how to fix the error.

## Examples

### Standard

**Request**

```json
{
  "name": "Doors (Updated)"
}
```

**Response**

```json
{
  "id": "ABVA-50841-JAZR-07730",
  "categoryId": "ABVA-49091-CGZP-54734",
  "name": "Doors (Updated)",
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z"
}
```

**SDK Code**

```python Standard
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

payload = { "name": "Doors (Updated)" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Standard
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Doors (Updated)"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Standard
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

	payload := strings.NewReader("{\n  \"name\": \"Doors (Updated)\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Standard
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Doors (Updated)\"\n}"

response = http.request(request)
puts response.read_body
```

```java Standard
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Doors (Updated)\"\n}")
  .asString();
```

```php Standard
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId', [
  'body' => '{
  "name": "Doors (Updated)"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Standard
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Doors (Updated)\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Standard
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Doors (Updated)"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### With New Category

**Response**

```json
{
  "id": "ABVA-50841-JAZR-07730",
  "categoryId": "ABVA-49091-CGZP-54734",
  "name": "Doors",
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z"
}
```

**SDK Code**

```python With New Category
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript With New Category
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go With New Category
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby With New Category
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java With New Category
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php With New Category
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp With New Category
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift With New Category
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### With New Category and User Data

**Response**

```json
{
  "id": "ABVA-50841-JAZR-07730",
  "categoryId": "ABVA-49091-CGZP-54734",
  "name": "Doors",
  "userData": {
    "New Field": "Everything under userData will be replaced by this new userData!"
  },
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z"
}
```

**SDK Code**

```python With New Category and User Data
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript With New Category and User Data
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go With New Category and User Data
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby With New Category and User Data
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java With New Category and User Data
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php With New Category and User Data
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp With New Category and User Data
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift With New Category and User Data
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Change Category

**Request**

```json
{
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593"
}
```

**Response**

```json
{
  "id": "ABVA-50841-JAZR-07730",
  "categoryId": "ABVA-49091-CGZP-54734",
  "name": "Doors (Updated)",
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z"
}
```

**SDK Code**

```python Change Category
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

payload = {
    "name": "Doors",
    "categoryId": "ABVA-49091-CHJS-262593"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Change Category
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Doors","categoryId":"ABVA-49091-CHJS-262593"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Change Category
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

	payload := strings.NewReader("{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Change Category
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\"\n}"

response = http.request(request)
puts response.read_body
```

```java Change Category
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\"\n}")
  .asString();
```

```php Change Category
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId', [
  'body' => '{
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Change Category
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Change Category
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Change Category and Update User Data

**Request**

```json
{
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593",
  "userData": {
    "New Field": "Everything under userData will be replaced by this new userData!"
  }
}
```

**Response**

```json
{
  "id": "ABVA-50841-JAZR-07730",
  "categoryId": "ABVA-49091-CGZP-54734",
  "name": "Doors (Updated)",
  "createdBy": "BQ6UMP8XQHSX",
  "createTime": "2018-07-18T09:46:33Z",
  "lastModifiedBy": "BQ6UMP8XQHSX",
  "lastModifiedTime": "2018-07-19T08:56:16Z"
}
```

**SDK Code**

```python Change Category and Update User Data
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

payload = {
    "name": "Doors",
    "categoryId": "ABVA-49091-CHJS-262593",
    "userData": { "New Field": "Everything under userData will be replaced by this new userData!" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Change Category and Update User Data
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Doors","categoryId":"ABVA-49091-CHJS-262593","userData":{"New Field":"Everything under userData will be replaced by this new userData!"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Change Category and Update User Data
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId"

	payload := strings.NewReader("{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\",\n  \"userData\": {\n    \"New Field\": \"Everything under userData will be replaced by this new userData!\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Change Category and Update User Data
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\",\n  \"userData\": {\n    \"New Field\": \"Everything under userData will be replaced by this new userData!\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Change Category and Update User Data
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\",\n  \"userData\": {\n    \"New Field\": \"Everything under userData will be replaced by this new userData!\"\n  }\n}")
  .asString();
```

```php Change Category and Update User Data
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId', [
  'body' => '{
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593",
  "userData": {
    "New Field": "Everything under userData will be replaced by this new userData!"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Change Category and Update User Data
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Doors\",\n  \"categoryId\": \"ABVA-49091-CHJS-262593\",\n  \"userData\": {\n    \"New Field\": \"Everything under userData will be replaced by this new userData!\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Change Category and Update User Data
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Doors",
  "categoryId": "ABVA-49091-CHJS-262593",
  "userData": ["New Field": "Everything under userData will be replaced by this new userData!"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/tags/tagId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```